### Method

# FwupdPlugin Device emit_request

since: 1.9.8

#### Declaration [src]

    gboolean
    fu_device_emit_request (
      FuDevice* self,
      FwupdRequest* request,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Emit a request from a plugin to the client.

If the device is emulated then this request is ignored.

Available since: 1.9.8

#### Parameters

`request`

  Type: `FwupdRequest`

  A request.

  The data is owned by the caller of the method.

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.